import org.junit.Assert;
import org.junit.Test;
import static org.hamcrest.CoreMatchers.is;

public class Aufgabe2Test {

    @Test
    public void testRemoveLeaves() throws Exception {

        Tree t1 = new Tree();
        t1.add(5);
        t1.add(2);
        t1.add(7);
        t1.add(6);
        t1.add(8);
        t1.add(1);
        t1.add(1);
        t1.add(3);

        t1.removeLeaves();
        Assert.assertThat(t1.toString().replaceAll("\\s", "").replaceAll("\\.", ""), is("[1,2,5,7]"));
    }

    @Test
    public void testRemoveLeavesRoot() throws Exception {

        Tree t1 = new Tree();
        t1.add(5);

        t1.removeLeaves();
        Assert.assertThat(t1.toString().replaceAll("\\s", "").replaceAll("\\.",
                ""), is("[]"));
    }

    @Test
    public void testToString() throws Exception {

        Tree t1 = new Tree();
        t1.add(5);
        t1.add(2);
        t1.add(7);
        t1.add(6);
        t1.add(8);
        t1.add(1);
        t1.add(1);
        t1.add(3);

        Assert.assertThat(t1.toString().replaceAll("\\s", "").replaceAll("\\.", ""),
                is("[1,1,2,3,5,6,7,8]"));
    }

    @Test
    public void testToStringEmpty() throws Exception {

        Tree t1 = new Tree();
        Assert.assertThat(t1.toString().replaceAll("\\s", "").replaceAll("\\.",
                ""), is("[]"));
    }
}